Skip to content

Get Supported Asset Information

This endpoint will return full list of coins if cactus_symbol is not provided.

Endpoint

GET https://api.mycactus.dev/custody/v1/api/coin-infos
GET https://api.mycactus.com/custody/v1/api/coin-infos

Request

Query Parameters

FieldTypeDescription
cactus_symbol
Optional
StringCactus token name
Allowed values: Refer to Coin Name (API) column in Supported Token
symbol
Optional
StringCommon token name
Allowed values: Refer to Token Name column in Supported Token

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataArray[Object]Array of coin information (see data object details below)

data (object)

FieldTypeDescription
coin_shownameStringDisplay name or ticker symbol of the token.
coin_fullnameStringThe full name of the token.
cactus_symbolStringSymbol of the asset as listed on cactus.
symbolStringSymbol of the asset.
iconStringCoin token icon image.
chainStringThe full name of the the asset chain.
cactus_chainStringThe display name of the asset chain as listed on cactus.
decimalsStringNumber of decimals the asset has.
contract_addressStringContract address for the asset.
fingerprintStringA user-friendly asset identifier used to uniquely identify native tokens on the Cardano (ADA) blockchain.
deposit_block_numberStringDeposit height.
confirm_block_numberStringDeposit security height.
main_coinBooleanSpecifies whether the token is a chain’s primary asset.
support_miningBooleanWhether mining is supported.
mining_confirm_block_numberStringConfirmation block height for mining.
support_prime_hotBooleanIndicates whether the token is available on Warm Wallet.
support_prime_coldBooleanIndicates whether the token is available on the Cold Wallet.
support_defiBooleanIndicates whether the token is compatible with DeFi protocols.
support_oasisBooleanIndicates whether the token is supported on Cactus Oasis.
support_evmBooleanWhether the token is EVM-compatible.

Response Example

{
  "code": 0,
  "message": "",
  "data": [
    {
      "coin_showname": "USDT",
      "coin_fullname": "Tether USD",
      "cactus_symbol": "USDTERC",
      "symbol": "USDTERC",
      "icon": "https://custody-publicresource.s3.ap-southeast-1.amazonaws.com/icon/USDT.png",
      "chain": "Ethereum(ERC20)",
      "cactus_chain": "ETH",
      "decimals": "6",
      "contract_address": "0x53C3B91E547d18C42c997280519851D3596BEdCa",
      "fingerprint": null,
      "deposit_block_number": "1",
      "confirm_block_number": "64",
      "main_coin": false,
      "support_mining": false,
      "mining_confirm_block_number": null,
      "support_prime_hot": false,
      "support_prime_cold": false,
      "support_defi": false,
      "support_oasis": false,
      "support_evm": false
    }
  ],
  "successful": true
}